summaryrefslogtreecommitdiff
path: root/libre/mariadb/mysqld
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <andre@pc-01.localdomain>2012-04-15 19:28:29 -0300
committerAndré Fabian Silva Delgado <andre@pc-01.localdomain>2012-04-15 19:28:29 -0300
commit3f8787917d574a6d71f9358746fb09fefedc74b6 (patch)
treeb4ac986521baa8386f455bdff107d4d74a443dad /libre/mariadb/mysqld
parentfa3fb08b58f31f70b23250a098f2841903bec1aa (diff)
downloadabslibre-3f8787917d574a6d71f9358746fb09fefedc74b6.tar.gz
abslibre-3f8787917d574a6d71f9358746fb09fefedc74b6.tar.bz2
abslibre-3f8787917d574a6d71f9358746fb09fefedc74b6.zip
mariadb-5.5.23-1.4: fixed issues, now is stable version
Diffstat (limited to 'libre/mariadb/mysqld')
-rw-r--r--libre/mariadb/mysqld77
1 files changed, 77 insertions, 0 deletions
diff --git a/libre/mariadb/mysqld b/libre/mariadb/mysqld
new file mode 100644
index 000000000..1ac88a7cc
--- /dev/null
+++ b/libre/mariadb/mysqld
@@ -0,0 +1,77 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+getPID() {
+ echo $(pgrep -u mysql mysqld 2>/dev/null);
+}
+
+case "$1" in
+ start)
+ stat_busy "Starting MySQL Server"
+ [ ! -d /var/run/mysqld ] && install -d -g mysql -o mysql /var/run/mysqld &>/dev/null
+ if [ -z "$(getPID)" ]; then
+ /usr/bin/mysqld_safe --user=mysql &>/dev/null &
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ else
+ timeo=30
+ while [ $timeo -gt 0 ]; do
+ response=`/usr/bin/mysqladmin -uUNKNOWN_USER ping 2>&1` && break
+ echo "$response" | grep -q "mysqld is alive" && break
+ sleep 1
+ let timeo=${timeo}-1
+ done
+ if [ $timeo -eq 0 ]; then
+ stat_fail
+ exit 1
+ else
+ echo $(getPID) > /var/run/mysqld/mysqld.pid
+ add_daemon mysqld
+ stat_done
+ fi
+ fi
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+ stop)
+ stat_busy "Stopping MySQL Server"
+ if [ ! -z "$(getPID)" ]; then
+ timeo=30
+ kill $(getPID) &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ fi
+ while [ ! -z "$(getPID)" -a $timeo -gt 0 ]; do
+ sleep 1
+ let timeo=${timeo}-1
+ done
+ if [ -z "$(getPID)" ]; then
+ rm -f /var/run/mysqld/mysqld.pid &>/dev/null
+ rm_daemon mysqld
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0